### Function Macro

# GObject TYPE_FUNDAMENTAL

#### Declaration [src]

    #define G_TYPE_FUNDAMENTAL (
      type
    )

#### Description [src]

The fundamental type which is the ancestor of `type`.

Fundamental types are types that serve as ultimate bases for the derived types, thus they are the roots of distinct inheritance hierarchies.

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  A `GType` value.